Subject: Re: [rrg] Fundamental objections to a host-based scalableroutingsolution

From: [email-masked] (Noel Chiappa)
Date: Wed, 10 Dec 2008 09:54:08 -0500 (EST)

> From: Scott Brim <[email-masked]>

    >> Excerpts from Noel Chiappa on Thu, Dec 04, 2008 11:05:56AM -0500:
    >> we are, in effect, building a second packet-switching system on top of
    >> the first, but [somewhat] separate from it

    > As argued elsewhere ... in order for it to be a different "packet
    > switching system", it would have to have different addressing, routing,
    > and switching.

Briefly (to avoid recapitulating all that's been said elsewhere) - I think
this view that it's all part of the same thing is an illusion, because in the
initial stages of LISP, it _looks_ like it uses the 'same' addresses, etc.

Imagine that we replaced the inter-xTR protocol with something completely
different (maybe raw MPLS packets, using, say, PNNI for routing, and with a a
new address space, etc). You'd still have all the _exact_ same issues that we
do with IPv4-based designs (which use the legacy Internet as a giant NBMA
network) - i.e. picking an exit point, making sure it was up and reachable,
etc.

I think in that circumstance, it's clear that my claim that this is 'another
packet switching layer' would definitely be accurate, right? And those issues,
which we would also face with the IPv4-based design, are ones one typically
faces in designing a packet-switching system, no?

Yes, I know the picture is more complex (e.g. we have partial visibilitiy into
the NBMA box, e.g. via a BGP feed which can tell us reachability of
designation ETRs). But I think it's a more useful model - i.e. one in which
the problems and challenges are clearer and easier to think about - if one
sees it as a new layer, and not an extension to an existing one.

	Noel
_______________________________________________
rrg mailing list
[email-masked]
https://www.irtf.org/mailman/listinfo/rrg

---

From: Scott Brim <[email-masked]>
Date: Thu, 11 Dec 2008 09:42:09 -0500

Excerpts from Noel Chiappa on Wed, Dec 10, 2008 09:54:08AM -0500:
>     >> Excerpts from Noel Chiappa on Thu, Dec 04, 2008 11:05:56AM
>     >> -0500: we are, in effect, building a second packet-switching
>     >> system on top of the first, but [somewhat] separate from it
> 
>     > As argued elsewhere ... in order for it to be a different
>     > "packet switching system", it would have to have different
>     > addressing, routing, and switching.
> 
> Briefly (to avoid recapitulating all that's been said elsewhere) - I
> think this view that it's all part of the same thing is an illusion,
> because in the initial stages of LISP, it _looks_ like it uses the
> 'same' addresses, etc.
> 
> Imagine that we replaced the inter-xTR protocol with something
> completely different (maybe raw MPLS packets, using, say, PNNI for
> routing, and with a a new address space, etc). You'd still have all
> the _exact_ same issues that we do with IPv4-based designs (which
> use the legacy Internet as a giant NBMA network) - i.e. picking an
> exit point, making sure it was up and reachable, etc.
> 
> I think in that circumstance, it's clear that my claim that this is
> 'another packet switching layer' would definitely be accurate,
> right?  And those issues, which we would also face with the
> IPv4-based design, are ones one typically faces in designing a
> packet-switching system, no?

Yes, since you would have independent addressing, routing and
switching.  Both of those cases were discussed at length a few years
ago.  However, just because a different model, based on different
technology, will have some of the same issues doesn't mean you should
leap to using that different model.

Let me give you a different way of looking at it.  Instead of looking at
things from inside the DFZ, look at them from an edge site.  The edge
sites have changed, the DFZ has not ...

  - The DFZ remains the same.  Nothing is changed there.

  - I decide to divorce my routing (but not addressing) from the DFZ,
    in order to get provider independence.  To do that I remove routes
    for my prefixes, make myself available in a mapping system, and
    install adapters at my edges.

  - Did I mention that the DFZ has not changed?

  - Now I want to send a packet.  If my packet is to something that is
    routed globally I just send it.  Nothing has changed.  If my packet
    is to something that is not routed globally, I do a mapping lookup
    and an adaptation in order to put the packet on the DFZ and send it,
    using the Internet forwarding technology we have now -- which as you
    might recall ... has not changed.

It was my choice to separate myself and use an adaptation to send
packets over the main body of the Internet.  It is not NBMA, nor does it
have new addressing or routing.  Whatever is new is at the edges and how
they adapt to connecting to the Internet.

The stance I'm trying to get you to see this from is that the Internet
by and large does not change, but sites have a new adaptation to using
it.  Once you look at it that way, "the core is NBMA" goes away.  I
admit that your seeing it that way has some validity, but so does the
stance I describe.

Scott